Public Class Pattern
    Public ReadOnly Property Type As String
    Public ReadOnly Property Value As String

    Public Sub New(pType As String, pValue As String)
        Me.Type = pType
        Me.Value = pValue
    End Sub

    Public Overrides Function ToString() As String
        Return $"{{#{Type}#{Value}}}"
    End Function
End Class
